Imports System
Imports System.IO
Imports System.Text

Module sample

    Sub Main()
        Dim p As New SautinSoft.PdfMetamorphosis()

        'After purchasing the license, please insert your serial number here to activate the component
        'p.Serial = "XXXXXXXXXXX";

        'specify some options
        p.PageStyle.PageOrientation.Landscape()

        'create a new watermark
        Dim wm As New SautinSoft.PdfMetamorphosis.WaterMark()
        'connect watermark with file "WaterMark.png"
        wm.Img = System.Drawing.Image.FromFile("..\..\..\..\..\WaterMark.png")
        'set watermark on page at 
        '90mm by horozontal from top-left
        '5 mm from top-left by vertical.
        'width 30 mm, height 25mm
        wm.PositionMm(90, 5, 30, 25)
        'put this watermak to page 1
        wm.PageNumCustom(New Integer() {1})
        'add watermark to watermarks ArrayList
        p.PageStyle.WaterMarks.Add(wm)
        'create another new watermark
        wm = New SautinSoft.PdfMetamorphosis.WaterMark()
        'connect watermark with file "WaterMark.png"
        wm.Img = System.Drawing.Image.FromFile("..\..\..\..\..\WaterMark.png")
        'set watermark on page at 
        '2 inches by horozontal from top-left
        '2 inches from top-left by vertical.
        'width 7.5 inches, height 6 inches
        wm.PositionInch(2, 2, 7.5F, 6)
        'set 20% transparency
        wm.Transparency(20)
        'put this watermark at pages 1,2,3
        ' Also you may put watermark to all pages, even, odd pages
        wm.PageNumCustom(New Integer() {1, 2, 3})
        'add watermark to watermarks ArrayList
        p.PageStyle.WaterMarks.Add(wm)

        If p IsNot Nothing Then
            Dim rtfPath As String = "..\..\..\..\..\test.rtf"
            Dim pdfPath As String = "..\..\..\..\..\test.pdf"

            Dim i As Integer = p.RtfToPdfConvertFile(rtfPath, pdfPath)

            If i <> 0 Then
                System.Console.WriteLine("An error occured during converting RTF to PDF!")
            Else
                System.Diagnostics.Process.Start(pdfPath)
            End If
        End If

    End Sub
End Module