Imports System
Imports System.IO
Imports System.Text

Module sample

    Sub Main()
        'How to set single font for the PDF document
        Dim p As New SautinSoft.PdfMetamorphosis()

        'After purchasing the license, please insert your serial number here to activate the component
        'p.Serial = "XXXXXXXXXXX"

        'Let's make that the all text in PDF became in 'Courier New' font
        p.TextStyle.FontFace.Custom("Courier New")
        'Set also single size 10
        p.TextStyle.FontSize = 10
        'Set also single color
        p.TextStyle.FontColor.SetRGB(33, 150, 150)

        If p IsNot Nothing Then
            Dim rtfPath As String = "..\..\..\..\..\test.rtf"
            Dim pdfPath As String = "..\..\..\..\..\test.pdf"

            Dim i As Integer = p.RtfToPdfConvertFile(rtfPath, pdfPath)

            If i <> 0 Then
                System.Console.WriteLine("An error occured during converting RTF to PDF!")
            Else
                System.Diagnostics.Process.Start(pdfPath)
            End If
        End If
    End Sub
End Module