Imports System
Imports System.IO
Imports System.Text

Module sample

    Sub Main()
        'How to set PDF version
        Dim p As New SautinSoft.PdfMetamorphosis()

        'After purchasing the license, please insert your serial number here to activate the component
        'p.Serial = "XXXXXXXXXXX";

        'By default the PDF Metamorphosis .Net will generate the PDF 1.4/PDF A
        'Let's change the PDF version to 1.6
        p.PdfOptions.PdfVersion = SautinSoft.PdfMetamorphosis.CPdfOptions.ePdfVersion.PDF_16

        If p IsNot Nothing Then
            Dim rtfPath As String = "..\..\..\..\..\test.rtf"
            Dim pdfPath As String = "..\..\..\..\..\test.pdf"

            Dim i As Integer = p.RtfToPdfConvertFile(rtfPath, pdfPath)

            If i <> 0 Then
                System.Console.WriteLine("An error occured during converting RTF to PDF!")
            Else
                System.Diagnostics.Process.Start(pdfPath)
            End If
        End If
    End Sub
End Module