Imports System
Imports System.IO
Imports System.Text

Module sample

    Sub Main()
        Dim p As New SautinSoft.PdfMetamorphosis()

        'After purchasing the license, please insert your serial number here to activate the component
        'p.Serial = "XXXXXXXXXXX";

        'specify some options
        p.PageStyle.PageOrientation.Landscape()
        'specify header in HTML format
        'p.Header.Html("<b>Sample header in HTML format</b>")

        'specify footer in RTF format
        'p.Footer.Rtf("{\b Bold footer}")

        'specify page numbers
        p.PageStyle.PageNumFormat = "Page {page} of {numpages}"

        If p IsNot Nothing Then
            Dim rtfPath As String = "..\..\..\..\..\test.rtf"
            Dim pdfPath As String = "..\..\..\..\..\test.pdf"
            Dim rtfString As String = ""


            '1. Get RTF content from file
            ReadFromFile(rtfPath, rtfString)


            '2. Converting RTF to PDF
            Dim pdf() As Byte = p.RtfToPdfConvertByte(rtfString)

            If pdf IsNot Nothing Then
                '3. Save to PDF file
                Dim fs As New FileStream(pdfPath, FileMode.Create, FileAccess.Write)
                fs.Write(pdf, 0, pdf.Length)
                fs.Close()
                System.Diagnostics.Process.Start(pdfPath)
            Else
                System.Console.WriteLine("An error occured during converting RTF to PDF!")
            End If
        End If
		End Sub
    Public Function ReadFromFile(ByVal fileName As String, ByRef fileStr As String) As Integer
        Try
            Dim fi As New FileInfo(fileName)
            Dim strmRead As StreamReader = fi.OpenText()
            fileStr = strmRead.ReadToEnd()
            strmRead.Close()
            Return 0
        Catch
            'error open file
            System.Console.WriteLine("Error in open file")
            Return 1
        End Try
    End Function
End Module