using System;
using System.IO;
using System.Collections;

namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{

			SautinSoft.PdfMetamorphosis p = new SautinSoft.PdfMetamorphosis();
            //After purchasing the license, please insert your serial number here to activate the component
			//p.Serial = "XXXXXXXXXXX";

			//Set path for *.ttf file
			p.UnicodeOptions.DetectFontsDirectory = SautinSoft.PdfMetamorphosis.CUnicodeOptions.eUnicodeDetectFontsDirectory.Custom;
			p.UnicodeOptions.FontsDirectory = @"d:\my fonts\"; //folder with the font file ARIALUNI.TTF

			if (p != null)
			{
				string inputFile = @"..\..\..\..\..\test.htm";
				string outputFile = @"..\..\..\..\..\test.pdf";

				int result = p.HtmlToPdfConvertFile(inputFile, outputFile);

				if (result == 0)
				{
					System.Console.WriteLine("Converted successfully!");
					System.Diagnostics.Process.Start(outputFile);
				}
				else
				{
					System.Console.WriteLine("Converting Error!");
				}
			}

		}
	}
}
