using System;
using System.IO;
using System.Collections;

namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{
            //How to set PDF version
			SautinSoft.PdfMetamorphosis p = new SautinSoft.PdfMetamorphosis();

			//After purchasing the license, please insert your serial number here to activate the component
			//p.Serial = "XXXXXXXXXXX";

            //By default the PDF Metamorphosis .Net will generate the PDF 1.4/PDF A
            //Let's change the PDF version to 1.6
            p.PdfOptions.PdfVersion = SautinSoft.PdfMetamorphosis.CPdfOptions.ePdfVersion.PDF_16;

			if (p != null)
			{
				string rtfPath = @"..\..\..\..\..\test.rtf";
				string pdfPath = @"..\..\..\..\..\test.pdf";

				int i = p.RtfToPdfConvertFile(rtfPath,pdfPath);

				if (i !=0)
				{
					System.Console.WriteLine("An error occured during converting RTF to PDF!");
				}
				else
				{
					System.Diagnostics.Process.Start(pdfPath);
				}
			}
		}
	}
}
