using System;
using System.IO;
using System.Collections;

namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{
            //This sample shows how to specify page numbers
			SautinSoft.PdfMetamorphosis p = new SautinSoft.PdfMetamorphosis();

			//After purchasing the license, please insert your serial number here to activate the component
			//p.Serial = "XXXXXXXXXXX";

            //Page 1 of N, position: 30 mm from the left of the page
            p.PageStyle.PageNumFormat = "Page {page} of {numpages}{posXmm=110}";
            
            //This is page number N
            //p.PageStyle.PageNumFormat = "This is page number {page}";

            //PAGE 1 OF N, font: Arial, 22.5, position: 30 mm from the left of the page, 0.5 In from the page bottom
            //p.PageStyle.PageNumFormat="{FontName=Arial}{fontSize=22.5}{posXmm=30}{posYinch=0.5}PAGE {page} OF {numPages}";

            //Other details about how to set page numbers you may find at the documentation: 
            //PdfMetamorphosis::CPageStyle::PageNumFormat Property 

			if (p != null)
			{
				string rtfPath = @"..\..\..\..\..\test.rtf";
				string pdfPath = @"..\..\..\..\..\test.pdf";

				int i = p.RtfToPdfConvertFile(rtfPath,pdfPath);

				if (i !=0)
				{
					System.Console.WriteLine("An error occured during converting RTF to PDF!");
				}
				else
				{
					System.Diagnostics.Process.Start(pdfPath);
				}
			}
		}
	}
}
