Imports System
Imports System.IO
Imports System.Text

Module sample

    Sub Main()
        'This sample shows how to specify page numbers
        Dim p As New SautinSoft.PdfMetamorphosis()

        'After purchasing the license, please insert your serial number here to activate the component
        'p.Serial = "XXXXXXXXXXX";

        'Page 1 of N, position: 30 mm from the left of the page
        p.PageStyle.PageNumFormat = "Page {page} of {numpages}{posXmm=110}"

        'This is page number N
        'p.PageStyle.PageNumFormat = "This is page number {page}"

        'PAGE 1 OF N, font: Arial, 22.5, position: 30 mm from the left of the page, 0.5 In from the page bottom
        'p.PageStyle.PageNumFormat="{FontName=Arial}{fontSize=22.5}{posXmm=30}{posYinch=0.5}PAGE {page} OF {numPages}"

        'Other details about how to set page numbers you may find at the documentation: 
        'PdfMetamorphosis::CPageStyle::PageNumFormat Property 

        If p IsNot Nothing Then
            Dim rtfPath As String = "..\..\..\..\..\test.rtf"
            Dim pdfPath As String = "..\..\..\..\..\test.pdf"

            Dim i As Integer = p.RtfToPdfConvertFile(rtfPath, pdfPath)

            If i <> 0 Then
                System.Console.WriteLine("An error occured during converting RTF to PDF!")
            Else
                System.Diagnostics.Process.Start(pdfPath)
            End If
        End If
    End Sub
End Module