using System;
using System.IO;
using System.Collections;

namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{
			//Activate the component after purchasing
			SautinSoft.PdfMetamorphosis p = new SautinSoft.PdfMetamorphosis();

			//Place your serial number here, which you have got after purchasing the component
            //if have any questions, email us to sales@sautinsoft.com or ask at online chat http://www.sautinsoft.com
			p.Serial = "1234567890";

			//specify some options
			p.PageStyle.PageOrientation.Landscape();
			//specify header in HTML format
			//p.Header.Html("<b>Sample header in HTML format</b>");

			//specify footer in RTF format
			//p.Footer.Rtf("{\b Bold footer}");

			//specify page numbers
			p.PageStyle.PageNumFormat = "Page {page} of {numpages}";

			if (p != null)
			{
				string rtfPath = @"..\..\..\..\..\test.rtf";
				string pdfPath = @"..\..\..\..\..\test.pdf";

				int i = p.RtfToPdfConvertFile(rtfPath,pdfPath);

				if (i !=0)
				{
					System.Console.WriteLine("An error occured during converting RTF to PDF!");
				}
				else
				{
					System.Diagnostics.Process.Start(pdfPath);
				}
			}
		}
	}
}
