Imports System
Imports System.IO
Imports System.Text

Module sample

    Sub Main()
        Dim p As New SautinSoft.PdfMetamorphosis()

        'After purchasing the license, please insert your serial number here to activate the component
        'p.Serial = "XXXXXXXXXXX";

        If p IsNot Nothing Then
            Dim htmlPath As String = "..\..\..\..\..\test.htm"
            Dim pdfPath As String = "..\..\..\..\..\test.pdf"
            Dim htmlString As String = ""

            ' The easiest way is using the method 'HtmlToPdfConvertFile':
            ' int ret = p.HtmlToPdfConvertFile(htmlPath,pdfPath);
            ' or :
            '1. Get HTML content
            htmlString = ReadFromFile(htmlPath)

            '2. Converting HTML to PDF
            'specify BaseUrl to help converter find a full path for relative images, CSS
            p.HtmlOptions.BaseUrl = Path.GetDirectoryName(Path.GetFullPath(htmlPath))
            Dim pdf() As Byte = p.HtmlToPdfConvertStringToByte(htmlString)

            If pdf IsNot Nothing Then
                '3. Save to PDF file
                Dim fs As New FileStream(pdfPath, FileMode.Create, FileAccess.Write)
                fs.Write(pdf, 0, pdf.Length)
                fs.Close()
                System.Diagnostics.Process.Start(pdfPath)
            Else
                System.Console.WriteLine("An error occured during converting HTML to PDF!")
            End If
        End If
    End Sub
    Public Function ReadFromFile(ByVal fileName As String) As String
        Try
            Dim fi As New FileInfo(fileName)
            Dim strmRead As FileStream = fi.Open(FileMode.Open)
            Dim len As Integer = CInt(Microsoft.VisualBasic.Fix(fi.Length))
            Dim b(len - 1) As Byte
            strmRead.Read(b, 0, len)
            strmRead.Close()
            Dim arCharRes(len - 1) As Char
            For i As Integer = 0 To len - 1
                arCharRes(i) = Microsoft.VisualBasic.ChrW(b(i))
            Next i
            Return New String(arCharRes)
        Catch
            Return ""
        End Try
    End Function
End Module