Imports System
Imports System.IO
Imports System.Text

Module sample

    Sub Main()
        Dim p As New SautinSoft.PdfMetamorphosis()

        'this property is necessary only for registered version
        'p.Serial = "XXXXXXXXXXX";

        'specify some options
        p.PageStyle.PageOrientation.Landscape()
        'specify header in HTML format
        'p.Header.Html("<b>Sample header in HTML format</b>");

        'specify footer in RTF format
        'p.Footer.Rtf("{\b Bold footer}");

        'specify page numbers
        p.PageStyle.PageNumFormat = "Page {page} of {numpages}"

        If p IsNot Nothing Then
            Dim rtfPath As String = "..\..\..\..\..\test.rtf"
            Dim pdfPath As String = "..\..\..\..\..\test.pdf"
            Dim rtfString As String = ""


            '1. Get RTF content from file
            ReadFromFile(rtfPath, rtfString)


            '2. Converting RTF to PDF
            Dim i As Integer = p.RtfToPdfConvertStringToFile(rtfString, pdfPath)

            If i = 0 Then
                System.Diagnostics.Process.Start(pdfPath)
            Else
                System.Console.WriteLine("An error occured during converting RTF to PDF!")
            End If
        End If
    End Sub
    Public Function ReadFromFile(ByVal fileName As String, ByRef fileStr As String) As Integer
        Try
            Dim fi As New FileInfo(fileName)
            Dim strmRead As StreamReader = fi.OpenText()
            fileStr = strmRead.ReadToEnd()
            strmRead.Close()
            Return 0
        Catch
            'error open file
            System.Console.WriteLine("Error in open file")
            Return 1
        End Try
    End Function
End Module