Imports System
Imports System.IO
Imports System.Text

Module sample

    Sub Main()
        Dim p As New SautinSoft.PdfMetamorphosis()

        'After purchasing the license, please insert your serial number here to activate the component
        'p.Serial = "XXXXXXXXXXX";

        'Let's set: A4, Landscape orientation, left and right margins: 1.5 Inch, top and bottom: 1 Inch
        p.PageStyle.PageSize.A4()
        p.PageStyle.PageOrientation.Landscape()
        p.PageStyle.PageMarginLeft.Inch(1.5F)
        p.PageStyle.PageMarginRight.Inch(1.5F)
        p.PageStyle.PageMarginTop.Inch(1.0F)
        p.PageStyle.PageMarginBottom.Inch(1.0F)

        If p IsNot Nothing Then
            Dim textPath As String = "..\..\..\..\..\test.txt"
            Dim pdfPath As String = "..\..\..\..\..\test.pdf"

            Dim i As Integer = p.RtfToPdfConvertFile(textPath, pdfPath)

            If i <> 0 Then
                System.Console.WriteLine("An error occured during converting Text to PDF!")
            Else
                System.Diagnostics.Process.Start(pdfPath)
            End If
        End If
    End Sub
End Module